## org.hibernate.jdbc
Class TooManyRowsAffectedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.jdbc.TooManyRowsAffectedException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  BatchedTooManyRowsAffectedException

    public class TooManyRowsAffectedException

extends HibernateException

Indicates that more rows were affected then we were expecting to be. Typically indicates presence of duplicate "PK" values in the given table.

See Also:
  Serialized Form

Constructor Summary
`TooManyRowsAffectedException(String message, int expectedRowCount, int actualRowCount)`

Method Summary
`int` `getActualRowCount()`
`int` `getExpectedRowCount()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TooManyRowsAffectedException

    public TooManyRowsAffectedException(String message,
                                        int expectedRowCount,
                                        int actualRowCount)

Method Detail

### getExpectedRowCount

    public int getExpectedRowCount()

### getActualRowCount

    public int getActualRowCount()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.